# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name attoparsec

%global common_summary Fast combinator parsing for bytestrings

%global common_description A fast parser combinator library, aimed particularly at \
dealing efficiently with network protocols and complicated \
text/binary file formats.

Name:           ghc-%{pkg_name}
Version:        0.10.1.1
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-text-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.10.1.1-2
- add license to ghc_files

* Tue Feb 28 2012 Ben Boeckel <mathstuf@gmail.com> - 0.10.1.1-1
- Update to 0.10.1.1

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.10.1.0-1
- update to 0.10.1.0 and cabal2spec-0.25.2
- now depends on text library

* Thu Oct 27 2011 Jens Petersen <petersen@redhat.com> - 0.9.1.2-1
- update to 0.9.1.2
- BR ghc-*-prof not devel

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.9.1.1-2.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.9.1.1-2.1
- rebuild with new gmp

* Mon Jul 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.9.1.1-2
- Update to cabal2spec-0.24

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 0.9.1.1-1
- update to 0.9.1.1

* Fri Jun 24 2011 Jens Petersen <petersen@redhat.com> - 0.8.6.1-2
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Wed May 11 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.6.1-1
- Update to 0.8.6.1
- Update to cabal2spec-0.22.7

* Tue May 10 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.5.3-2
- Update to cabal2spec-0.22.6

* Tue May 10 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.5.3-1
- Update to cabal2spec-0.22.5
- Update to 0.8.5.3
- Add new deepseq dependency

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.8.5.0-3
- Enable build on sparcv9

* Sat Mar 05 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.5.0-2
- Update to 0.8.5.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.3.0-1
- Update to 0.8.3.0

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.8.2.0-2
- Update to cabal2spec-0.22.4
- Rebuild

* Mon Nov 29 2010 Ben Boeckel <mathstuf@gmail.com> - 0.8.2.0-1
- Update to 0.8.2.0

* Mon Oct 18 2010 Ben Boeckel <mathstuf@gmail.com> - 0.8.1.1-1
- Update to 0.8.1.1

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.8.1.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.1.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
